> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add/Remove Contacts From Business

> Add/Remove Contacts From Business . Passing a `null` businessId will remove the businessId from the contacts



## OpenAPI

````yaml /api-reference/contacts/openapi.json post /contacts/bulk/business
openapi: 3.0.0
info:
  title: Contacts API
  description: Documentation for Contacts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Contacts
    description: Documentation for Contacts API
  - name: Tasks
    description: Documentation for Contacts API
  - name: Appointments
    description: Documentation for Contacts API
  - name: Tags
    description: Documentation for Contacts API
  - name: Notes
    description: Documentation for Contacts API
  - name: Campaigns
    description: Documentation for Contacts API
  - name: Workflow
    description: Documentation for Contacts API
  - name: Bulk
    description: Documentation for Contacts API
  - name: Search
    description: Documentation for Contacts API
  - name: Followers
    description: Documentation for Contacts API
paths:
  /contacts/bulk/business:
    post:
      tags:
        - Bulk
      summary: Add/Remove Contacts From Business
      description: >-
        Add/Remove Contacts From Business . Passing a `null` businessId will
        remove the businessId from the contacts
      operationId: add-remove-contact-from-business
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactsBusinessUpdate'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactsBulkUpateResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    ContactsBusinessUpdate:
      type: object
      properties:
        locationId:
          type: string
          example: PX8m5VwxEbcpFlzYEPVG
        ids:
          example:
            - IDqvFHGColiyK6jiatuz
            - pOC0uJ97VYOKH2m3fkMD
          type: array
          items:
            type: string
            maxLength: 50
        businessId:
          type: string
          example: 63b7ec34ea409a9a8bd2a4ff
          nullable: true
      required:
        - locationId
        - ids
        - businessId
    ContactsBulkUpateResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        ids:
          example:
            - pOC0uJ97VYOKH2m3fkMD
          type: array
          items:
            type: string
      required:
        - success
        - ids
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````